<?php
//define('FORUM_SKIP_CSRF_CONFIRM', 1);

if (!defined('FORUM_ROOT'))
	define('FORUM_ROOT', '../../');
	
require FORUM_ROOT.'include/common.php';
require FORUM_ROOT.'include/common_admin.php';

if (!$forum_user['is_admmod'])
	message($lang_common['No permission']);

if (file_exists(FORUM_ROOT.'extensions/pan_widgets/lang/'.$forum_user['language'].'/pan_widgets.php') )
	require_once FORUM_ROOT.'extensions/pan_widgets/lang/'.$forum_user['language'].'/pan_widgets.php';
else
	require_once FORUM_ROOT.'extensions/pan_widgets/lang/English/pan_widgets.php';

if(isset($_POST['add_view']) )
{
	$page = array($_POST['pan_widgets_footer_pages']);
	$pages = explode(',', $forum_config['o_pan_widgets_footer_pages']);
	$pages_merge = array_merge($page, $pages);
	$pages_merge = array_unique($pages_merge);
	
	$form = array(
		'pan_widgets_footer_pages' => implode(',', $pages_merge)
	);
	
	pan_update_options( $form );

	$message = $lang_pan_widgets['Settings updated'];
	$forum_flash->add_info($message);
	
	redirect(forum_link($forum_url['pan_widgets_footer']), $message);
}

if(isset($_POST['del_view']) )
{
	$pages = explode(',', $forum_config['o_pan_widgets_footer_pages']);
	$pages_diff = array_diff($pages, array($_POST['pan_widgets_footer_pages']));
	$pages_unique = array_unique($pages_diff);
	
	$form = array(
		'pan_widgets_footer_pages' => implode(',', $pages_unique)
	);
	
	pan_update_options( $form );

	$forum_flash->add_info($lang_pan_widgets['Settings updated']);
	redirect(forum_link($forum_url['pan_widgets_footer']), $lang_pan_widgets['Settings updated']);
}

if(isset($_POST['save_config']) )
{
	$form = array_map('trim', $_POST['form']);
	pan_update_options( $form );

	$forum_flash->add_info($lang_pan_widgets['Settings updated']);
	redirect(forum_link($forum_url['pan_widgets_footer']), $lang_pan_widgets['Settings updated']);
}

if (isset($_POST['update_widget']) )
{
	$id_widget = $_POST['id_widget'];
	$active_widget = $_POST['active_widget'];
	$priority_widget = $_POST['priority_widget'];
	$title_widget = forum_trim($_POST['title_widget']);
	$desc_widget = forum_trim($_POST['desc_widget']);
	
	if(isset($_POST['w_data'])) {
		$data = array_map('trim', $_POST['w_data']);
		$w_data = serialize($data);
	} else { 
		$w_data = ''; }
	
	$query = array(
		'UPDATE'	=> 'pan_widgets',
		'SET'		=> 'w_title=\''.$forum_db->escape($title_widget).'\', w_desc=\''.$forum_db->escape($desc_widget).'\', w_priority=\''.$priority_widget.'\', w_status='.$active_widget.', w_data=\''.$forum_db->escape($w_data).'\'',
		'WHERE'		=> 'id='.$id_widget
	);
	$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);
	
	$forum_flash->add_info($lang_pan_widgets['Settings updated']);
	redirect(forum_link($forum_url['pan_widgets_footer']), $lang_pan_widgets['Settings updated']);
}

if (isset($_POST['delete_widget']) )
{
	$id_widget = $_POST['id_widget'];
	$name_widget = $_POST['name_widget'];
	// Create New Widget
	$query = array(
		'DELETE'	=> 'pan_widgets',
		'WHERE'		=> 'id='.$id_widget
	);
	$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);
	
	$forum_flash->add_info($lang_pan_widgets['Settings updated']);
	
	define('WIDGET_UNINSTALL', 1);
	if(file_exists(FORUM_ROOT.'extensions/pan_widgets/widgets/'.$name_widget.'/unistall.php'))
		require FORUM_ROOT.'extensions/pan_widgets/widgets/'.$name_widget.'/unistall.php';
	
	redirect(forum_link($forum_url['pan_widgets_footer']), $lang_pan_widgets['Settings updated']);
}

// Load the admin.php language files
require FORUM_ROOT.'lang/'.$forum_user['language'].'/admin_common.php';
require FORUM_ROOT.'lang/'.$forum_user['language'].'/admin_index.php';

$forum_page['crumbs'] = array(
	array($forum_config['o_board_title'], forum_link($forum_url['index'])),
	array($lang_admin_common['Forum administration'], forum_link($forum_url['admin_index'])),
	array($lang_pan_widgets['Widgets'], forum_link($forum_url['pan_widgets_options'])),
	array($lang_pan_widgets['Setting footer'], forum_link($forum_url['pan_widgets_sidebar']))
);

define('FORUM_PAGE_SECTION', 'widgets');
define('FORUM_PAGE', 'admin-footer');
require FORUM_ROOT.'header.php';

// START SUBST - <!-- forum_main -->
ob_start();

?>

<div class="main-content main-frm">

	<form class="frm-form" method="post" accept-charset="utf-8" action="<?php echo forum_link($forum_url['pan_widgets_footer']) ?>">
		<div class="hidden">
			<input type="hidden" name="csrf_token" value="<?php echo generate_form_token(forum_link($forum_url['pan_widgets_footer'])) ?>" />
		</div>

		<div class="content-head">
			<h2 class="hn"><span><?php echo $lang_pan_widgets['Setting display pages'] ?></span></h2>
		</div>
		
		<div class="sf-set set">
			<div class="sf-box select">
				<label for="fld">
					<span><?php echo $lang_pan_widgets['Pages'] ?></span><small><?php echo $lang_pan_widgets['Appears on pages'] ?> <?php echo $forum_config['o_pan_widgets_footer_pages'] ?></small>
				</label><br />
				<span class="fld-input">
					<select name="pan_widgets_footer_pages">
						<option value="index"><?php echo $lang_pan_widgets['Home page'] ?></option>
						<option value="viewforum"><?php echo $lang_pan_widgets['List topics'] ?></option>
						<option value="viewtopic"><?php echo $lang_pan_widgets['Topic'] ?></option>
					</select>
				</span>
			</div>
		</div>

		<div class="frm-buttons">
			<span class="submit primary"><input type="submit" name="add_view" value="<?php echo $lang_pan_widgets['Add page'] ?>"></span>
			<span class="submit primary"><input type="submit" name="del_view" value="<?php echo $lang_pan_widgets['Delete page'] ?>"></span>
		</div>
	</form>
</div>

<div class="main-content main-frm">

	<form class="frm-form" method="post" accept-charset="utf-8" action="<?php echo forum_link($forum_url['pan_widgets_footer']) ?>">
		<div class="hidden">
			<input type="hidden" name="csrf_token" value="<?php echo generate_form_token(forum_link($forum_url['pan_widgets_footer'])) ?>" />
		</div>

		<div class="content-head">
			<h2 class="hn"><span><?php echo $lang_pan_widgets['Common footer settings'] ?></span></h2>
		</div>
		
		<div class="sf-set set">
			<div class="sf-box checkbox">
				<input type="hidden" name="form[pan_widgets_footer]" value="0" />
					<span class="fld-input"><input type="checkbox" id="fld" name="form[pan_widgets_footer]" value="1"<?php if ($forum_config['o_pan_widgets_footer'] == '1') echo 'checked="checked"' ?> /></span>
				<label for="fld"><span><?php echo $lang_pan_widgets['Enable footer'] ?></span><?php echo $lang_pan_widgets['Displays on pages'] ?></label>
			</div>
		</div>
		
		<div class="sf-set set">
			<div class="sf-box text">
				<label for="fld"><span><?php echo $lang_pan_widgets['Width'] ?></span><small><?php echo $lang_pan_widgets['Width percentage'] ?></small></label><br />
					<span class="fld-input"><input type="number" id="fld" name="form[pan_widgets_footer_width]" size="3" maxlength="2" value="<?php echo $forum_config['o_pan_widgets_footer_width'] ?>" /></span>
			</div>
		</div>
		
		<div class="frm-buttons">
			<span class="submit primary"><input type="submit" name="save_config" value="<?php echo $lang_pan_widgets['Update settings'] ?>"></span>
		</div>
	</form>
</div>

<div class="main-content main-frm">
<?php
$query = array(
	'SELECT'	=> 'id, w_name, w_title, w_desc, w_priority, w_status, w_data, w_data2, w_data3',
	'FROM'		=> 'pan_widgets',
	'WHERE'		=> 'w_position=3',
	'ORDER BY'	=> 'w_priority ASC'
);
$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);

while ($widgets = $forum_db->fetch_assoc($result) ) {
if ($widgets['id'] > 0) {
?>
	<form class="frm-form" method="post" accept-charset="utf-8" action="<?php echo forum_link($forum_url['pan_widgets_footer']) ?>">
		<div class="hidden">
			<input type="hidden" name="csrf_token" value="<?php echo generate_form_token(forum_link($forum_url['pan_widgets_footer'])) ?>" />
		</div>
		
		<div class="content-head">
			<h2 class="hn"><strong><span>Widget: <?php echo $widgets['w_name'] ?></span></strong></h2>
		</div>
		
		
		<input type="hidden" name="id_widget" value="<?php echo $widgets['id'] ?>" />
		<input type="hidden" name="name_widget" value="<?php echo $widgets['w_name'] ?>" />
		
<?php
$w_status = array(
	'0'	=>	$lang_pan_widgets['Disabled'],
	'1'	=>	$lang_pan_widgets['Show all'],
	'2'	=>	$lang_pan_widgets['Show only admin'],
	'3'	=>	$lang_pan_widgets['Show only guests'],
	'4'	=>	$lang_pan_widgets['Hide only guests'],
	'5'	=>	$lang_pan_widgets['Hide only admin']
);
?>
		<div class="sf-set set">
			<div class="sf-box select">
				<label for="fld">
					<span><?php echo $lang_pan_widgets['Show groups'] ?></span>
				</label><br />
				<span class="fld-input">
					<select name="active_widget">
<?php
foreach($w_status as $wset => $wlang) {
	if($widgets['w_status'] == $wset)
		echo "\t\t\t\t\t\t\t\t".'<option value="'.$wset.'" selected>'.$wlang.'</option>'."\n";
	else
		echo "\t\t\t\t\t\t\t\t".'<option value="'.$wset.'">'.$wlang.'</option>'."\n";
}
?>
					</select>
				</span>
			</div>
		</div>
		
		<div class="sf-set set">
			<div class="sf-box text">
				<label for="fld"><span><?php echo $lang_pan_widgets['Priority'] ?></span><small><?php echo $lang_pan_widgets['Enter number widget'] ?></small></label><br />
					<span class="fld-input"><input type="number" id="fld" name="priority_widget" size="5" maxlength="5" value="<?php echo $widgets['w_priority'] ?>" /></span>
			</div>
		</div>

		<div class="sf-set set">
			<div class="sf-box text">
				<label for="fld"><span><?php echo $lang_pan_widgets['Title'] ?></span><small><?php echo $lang_pan_widgets['Enter name widget'] ?></small></label><br />
				<span class="fld-input"><input type="text" id="fld" name="title_widget" size="35" maxlength="255" value="<?php echo $widgets['w_title'] ?>" /></span>
			</div>
		</div>
<?php
	if($widgets['w_name'] == 'Text')
	{
?>
		<div class="txt-set set">
			<div class="txt-box textarea">
				<label for="fld"><span><?php echo $lang_pan_widgets['Descriptions'] ?></span><small><?php echo $lang_pan_widgets['HTML tags'] ?></small></label>
				<div class="txt-input"><span class="fld-input"><textarea id="fld" name="desc_widget" rows="5" cols="55"><?php echo $widgets['w_desc'] ?></textarea></span></div>
			</div>
		</div>
<?php
	} else {
		if(!empty($widgets['w_data']))
			$widgets = array_merge($widgets, unserialize($widgets['w_data']));
	
		if(file_exists(FORUM_ROOT.$forum_url['pan_widgets_all'] . $widgets['w_name'].'/options.php') )
			require_once FORUM_ROOT.$forum_url['pan_widgets_all'] . $widgets['w_name'].'/options.php';
	}
?>
		<div class="frm-buttons">
			<span class="submit primary"><input type="submit" name="update_widget" value="<?php echo $lang_pan_widgets['Update widget'] ?>"></span>
			<span class="submit primary"><input type="submit" name="delete_widget" value="<?php echo $lang_pan_widgets['Delete widget'] ?>"></span>
		</div>
	</form>
<?php
	}
}	
?>
</div>

<?php
$tpl_temp = forum_trim(ob_get_contents());
$tpl_main = str_replace('<!-- forum_main -->', $tpl_temp, $tpl_main);
ob_end_clean();
// END SUBST - <!-- forum_main -->

require FORUM_ROOT.'footer.php';
