<?php

if (!defined('FORUM_ROOT'))
	define('FORUM_ROOT', '../../');
require FORUM_ROOT.'include/common.php';
require FORUM_ROOT.'include/common_admin.php';

if (!$forum_user['is_admmod'])
	message($lang_common['No permission']);

// Load the admin.php language files
require FORUM_ROOT.'lang/'.$forum_user['language'].'/admin_common.php';
require FORUM_ROOT.'lang/'.$forum_user['language'].'/admin_index.php';

if (file_exists(FORUM_ROOT.'extensions/pan_widgets/lang/'.$forum_user['language'].'/pan_widgets.php') )
	require_once FORUM_ROOT.'extensions/pan_widgets/lang/'.$forum_user['language'].'/pan_widgets.php';
else
	require_once FORUM_ROOT.'extensions/pan_widgets/lang/English/pan_widgets.php';

if (isset($_POST['add_widget']) )
{
	$active_rwidget = $_POST['active_widget'];
	$select_rwidget = $_POST['select_widget'];
	$position = $_POST['select_side'];
	$priority_rwidget = $_POST['priority_widget'];
	
	if(!empty($_POST['title_widget']))
		$title_rwidget = $_POST['title_widget'];
	else
		$title_rwidget = $select_rwidget;
	
	// Create New Widget
	$query = array(
		'INSERT'	=> 'w_name, w_title, w_position, w_priority, w_status',
		'INTO'		=> 'pan_widgets',
		'VALUES'	=> '\''.$forum_db->escape($select_rwidget).'\', \''.$forum_db->escape($title_rwidget).'\', \''.$position.'\', \''.$priority_rwidget.'\', '.$active_rwidget
	);
	$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);
	
	$message = $lang_pan_widgets['New widget added'];
	$forum_flash->add_info($message);
	
	define('WIDGET_INSTALL', 1);
	if(file_exists(FORUM_ROOT.'extensions/pan_widgets/widgets/'.$select_rwidget.'/install.php'))
		require FORUM_ROOT.'extensions/pan_widgets/widgets/'.$select_rwidget.'/install.php';
	
	redirect(forum_link($forum_url['pan_widgets_options']), $message);
}

$forum_page['crumbs'] = array(
	array($forum_config['o_board_title'], forum_link($forum_url['index'])),
	array($lang_admin_common['Forum administration'], forum_link($forum_url['admin_index'])),
	array($lang_pan_widgets['Widgets'], forum_link($forum_url['pan_widgets_options'])),
	$lang_pan_widgets['Options widgets']

);

define('FORUM_PAGE_SECTION', 'widgets');
define('FORUM_PAGE', 'admin-options');
require FORUM_ROOT.'header.php';

// START SUBST - <!-- forum_main -->
ob_start();
?>

<div class="main-content main-frm">

	<form class="frm-form" method="post" accept-charset="utf-8" action="<?php echo forum_link($forum_url['pan_widgets_options']) ?>">
		<div class="hidden">
			<input type="hidden" name="csrf_token" value="<?php echo generate_form_token(forum_link($forum_url['pan_widgets_options'])) ?>" />
		</div>

		<div class="content-head">
			<h2 class="hn"><span><?php echo $lang_pan_widgets['Activation widgets'] ?></span></h2>
		</div>
		
		<div class="sf-set set">
			<div class="sf-box select">
				<label for="fld">
					<span><?php echo $lang_pan_widgets['Show groups'] ?></span>
				</label><br />
				<span class="fld-input">
					<select name="active_widget">
						<option value="0"><?php echo $lang_pan_widgets['Disabled'] ?></option>
						<option value="1"><?php echo $lang_pan_widgets['Show all'] ?></option>
						<option value="2"><?php echo $lang_pan_widgets['Show only admin'] ?></option>
						<option value="3"><?php echo $lang_pan_widgets['Show only guests'] ?></option>
						<option value="4"><?php echo $lang_pan_widgets['Hide only guests'] ?></option>
						<option value="5"><?php echo $lang_pan_widgets['Hide only admin'] ?></option>
					</select>
				</span>
			</div>
		</div>
		
		<div class="sf-set set">
			<div class="sf-box select">
				<label for="fld">
					<span><?php echo $lang_pan_widgets['Available widgets'] ?></span>
						</label><br />
							<span class="fld-input"><select name="select_widget">
<?php

$query = array(
	'SELECT'	=> 'w_name',
	'FROM'		=> 'pan_widgets',
);
$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);

$widgets_taken = array();
while ($w_name = $forum_db->fetch_assoc($result) ) {
	$widgets_taken[] = $w_name['w_name'];
}

$widgets_taken = array_diff($widgets_taken, array('Text'));

$available_widgets = pan_get_all_dirs( FORUM_ROOT.$forum_url['pan_widgets_all'] );
foreach ($available_widgets as $widget) {
	if(!in_array($widget, $widgets_taken) )
		echo "\t\t\t\t\t\t\t\t".'<option value="'.$widget.'">'.$widget.'</option>'."\n";
}

?>
				</select></span>
			</div>
		</div>
		
		<div class="sf-set set">
			<div class="sf-box select">
				<label for="fld">
					<span><?php echo $lang_pan_widgets['Blocks'] ?></span>
				</label><br />
				<span class="fld-input">
					<select name="select_side">
						<option value="1"><?php echo $lang_pan_widgets['Header'] ?></option>
						<option value="2"><?php echo $lang_pan_widgets['Sidebar'] ?></option>
						<option value="3"><?php echo $lang_pan_widgets['Footer'] ?></option>
					</select>
				</span>
			</div>
		</div>
		
		<div class="sf-set set">
			<div class="sf-box text">
				<label for="fld"><span><?php echo $lang_pan_widgets['Title'] ?></span><small><?php echo $lang_pan_widgets['Enter name widget'] ?></small></label><br />
				<span class="fld-input"><input type="text" id="fld" name="title_widget" size="35" maxlength="255" value="New widget" /></span>
			</div>
		</div>
		
		<div class="sf-set set">
			<div class="sf-box text">
				<label for="fld"><span><?php echo $lang_pan_widgets['Priority'] ?></span><small><?php echo $lang_pan_widgets['Enter number widget'] ?></small></label><br />
					<span class="fld-input"><input type="number" id="fld" name="priority_widget" size="5" maxlength="5" value="0" /></span>
			</div>
		</div>
		
		<div class="frm-buttons">
			<span class="submit primary"><input type="submit" name="add_widget" value="<?php echo $lang_pan_widgets['Create widget'] ?>"></span>
		</div>
	</form>
	
	<div id="info-censored-intro" class="ct-box">
		<p><?php echo $lang_pan_widgets['Write on our forum'] ?> <a href="http://panbb.ru/forum/" target="_blank">PanBB.ru</a>.</p>
	</div>

</div>

<?php
$tpl_temp = forum_trim(ob_get_contents());
$tpl_main = str_replace('<!-- forum_main -->', $tpl_temp, $tpl_main);
ob_end_clean();
// END SUBST - <!-- forum_main -->

require FORUM_ROOT.'footer.php';