<?php if(!defined('FORUM')) die();

function panWidgetHotTopics()
{
	global $forum_db, $forum_user, $forum_url, $cur_topic, $widget_info;
	
	if(!empty($widget_info['w_data']))
		$widget_info = array_merge($widget_info, unserialize($widget_info['w_data']));
	
	$num_links = isset($widget_info['links']) ? $widget_info['links'] : '5';
	
	$query = array(
		'SELECT'	=> 't.id, t.subject, t.num_replies, t.forum_id',
		'FROM'		=> 'topics AS t',
		'JOINS'		=> array(
		array(
			'INNER JOIN'	=> 'forums AS f',
			'ON'			=> 't.forum_id=f.id'
		),
		array(
			'LEFT JOIN'		=> 'forum_perms AS fp',
			'ON'			=> '(fp.forum_id=t.forum_id AND fp.group_id='.$forum_user['g_id'].')'
			)
		),
		'WHERE'		=> 'fp.read_forum IS NULL OR fp.read_forum=1 AND t.last_post < '.time(),
		'ORDER BY'	=> 't.num_replies DESC',
		'LIMIT'		=> $num_links
	);
	$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);
	
	while ($cur_topic = $forum_db->fetch_assoc($result))
	{
		echo '<li><a href="'.forum_link($forum_url['topic'], array($cur_topic['id'], sef_friendly($cur_topic['subject']))).'">'.forum_htmlencode($cur_topic['subject']).'</a> ('.$cur_topic['num_replies'].')</li>';
	}
}

?>
		<div class="main-content">
			<?php panWidgetHotTopics(); ?>
		</div>

