<?php

if(!defined('FORUM')) die();

function panWidgetLastPost()
{
	global $forum_db, $forum_user, $forum_url, $cur_topic, $widget_info;
	
	if(!empty($widget_info['w_data']))
		$widget_info = array_merge($widget_info, unserialize($widget_info['w_data']));
	
	$num_links = isset($widget_info['links']) ? $widget_info['links'] : '5';
	
//	if (!defined('FORUM_PARSER_LOADED'))
//		require_once FORUM_ROOT.'include/parser.php';
	
	$query = array(
		'SELECT'	=> 't.id, t.subject, t.last_post, t.last_post_id, t.last_poster, t.forum_id, p.message',
		'FROM'		=> 'topics AS t',
		'JOINS'		=> array(
		array(
			'INNER JOIN'	=> 'posts AS p',
			'ON'			=> 't.last_post_id=p.id'
		),
		array(
			'INNER JOIN'	=> 'forums AS f',
			'ON'			=> 't.forum_id=f.id'
		),
		array(
			'LEFT JOIN'		=> 'forum_perms AS fp',
			'ON'			=> '(fp.forum_id=t.forum_id AND fp.group_id='.$forum_user['g_id'].')'
			)
		),
		'WHERE'		=> 'fp.read_forum IS NULL OR fp.read_forum=1 AND t.last_post < '.time(),
		'ORDER BY'	=> 't.last_post DESC',
		'LIMIT'		=> $num_links
	);
	$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);
		
	while ($cur_topic = $forum_db->fetch_assoc($result))
	{
//		$last_post_title = strip_tags(parse_message($cur_topic['message'], 1) );
//		$last_post_title = substr($last_post_title, 0, 300);

//		echo '<li><span style="font-size:smaller;">'.date('d/m', $cur_topic['last_post']).': </span><a href="'.forum_link($forum_url['post'], $cur_topic['last_post_id']).'" title="'.$last_post_title.'">'.$cur_topic['subject'].'</a></li>';
		
		echo '<li><span style="font-size:smaller;">'.date('d/m', $cur_topic['last_post']).': </span><a href="'.forum_link($forum_url['post'], $cur_topic['last_post_id']).'">'.forum_htmlencode($cur_topic['subject']).'</a></li>';
	}
}

?>
		<div class="main-content">
			<?php panWidgetLastPost(); ?>
		</div>
<?php

